Subject: Re: bug#23476: 25.0.93; Visiting C files on master signals an error

From: Óscar Fuentes <[email-masked]>
Date: Mon, 09 May 2016 22:46:22 +0200

Eli Zaretskii <[email-masked]> writes:

> Btw, I noticed that CC Mode is quite a bit slower on master than it is
> on emacs-25 (try searching for "IF_LINT" in xdisp.c), is that related
> to these changes in any way?

FWIW, I'm using master version

GNU Emacs 25.0.92.4 (x86_64-pc-linux-gnu, X toolkit) of 2016-04-23

which includes the noise macros feature. Searching for IF_LINT in
xdisp.c is instantaneous. Also, on my work with large-ish C++ source
files I didn't observe any slow down.